import bpy

from .. utils import (
	# addon,
	theme_utils,
)

class THEME_CANDY_OT_load_theme_colors(bpy.types.Operator):
	# '''Load the color slots with your current theme colors (rarely necessary).
	'''If the colors below don't match your current theme, click this button to refresh them.

armoredColony.com '''

	bl_idname = 'theme_candy.load_theme_colors'
	bl_label = 'THEME CANDY Load Theme Colors'
	bl_options = {'REGISTER', 'INTERNAL'}

	def execute(self, context):
		theme_utils.init_color_properties(context)
		return {'FINISHED'}


classes = (
	THEME_CANDY_OT_load_theme_colors,
)

def register():
	for cls in classes:
		bpy.utils.register_class(cls)


def unregister():
	for cls in classes:
		bpy.utils.unregister_class(cls)