import bpy
import os
from .. import __package__ as base_package
# DO NOT IMPORT OTHER ADDON MODULES HERE. YOU RISK CIRCULAR IMPORT ERRORS.


def path():
    return os.path.dirname(os.path.dirname(os.path.realpath(__file__)))

def name():
    return base_package

def addon():
    return bpy.context.preferences.addons[name()]

def prefs():
    return addon().preferences

def debug():
    return prefs().debug