import bpy
import os


class THEME_CANDY_OT_open_folder(bpy.types.Operator):
    '''Open Folder'''
    
    bl_idname = 'theme_candy.open_folder'
    bl_label = 'THEME CANDY Open Folder'
    bl_options = {'REGISTER', 'INTERNAL'}
    
    path : bpy.props.StringProperty()

    def execute(self, context):
        # path = os.path.join(dirname(dirname(__file__)), self.sub_folder)
        os.startfile(self.path)
        return {'FINISHED'}


classes = (
    THEME_CANDY_OT_open_folder,
)

def register():
    for cls in classes:
        bpy.utils.register_class(cls)


def unregister():
    for cls in classes:
        bpy.utils.unregister_class(cls)