import bpy.utils.previews
import os

from . import addon

icons_path = os.path.join(addon.path(), 'icons')


def load_icons(preview_collections):
	pcoll = bpy.utils.previews.new()

	pcoll.load('armored_colony32',	os.path.join(icons_path, 'armored_colony32.png'),	'IMAGE')
	pcoll.load('artstation32',	os.path.join(icons_path, 'artstation32.png'),		'IMAGE')
	pcoll.load('blender_market32',	os.path.join(icons_path, 'blender_market32.png'),	'IMAGE')
	pcoll.load('github32',		os.path.join(icons_path, 'github32.png'),		'IMAGE')
	pcoll.load('youtube32',		os.path.join(icons_path, 'youtube32.png'),		'IMAGE')

	preview_collections['web_icons'] = pcoll

	return preview_collections

def unload_icons(preview_collections):
	for pcoll in preview_collections.values():
		bpy.utils.previews.remove(pcoll)
	preview_collections.clear()